Unit tqttvr_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QTTVR_p;

function tqttvr: String;

implementation

function tqttvr: String;
var
N,I,_i :Integer;
H1,X :Real;
F :Array [0..49] of Real;
X1 :Array [0..49] of Real;
S1 :Array [0..49] of Real;
label
_1,_2;
begin
Result := '';  {   }
H1 := 3.14159/49.0;
X1[0] := 0;
X1[1] := H1/4.0;
N := 50;
I := 3;
while ( I<=N ) do
 begin
  X1[I-1] := X1[I-3]+H1*2.0;
_1:
  X1[I+0] := X1[I-2]+H1*2.0;
  inc(I,2);
 end;
for I:=1 to N do
 begin
  X := X1[I-1];
_2:
  F[I-1] := Sin(X);
 end;
QTTVR(S1,X1,F,N);
Result := Result + #$0D#$0A;
for _i:=0 to 49 do
 begin
  Result := Result + Format('%20.16f ',[S1[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tqttvr',Result);  {     tqttvr.res }
exit;
end;

end.
